html {
	scroll-behavior: smooth;
}

.center {
	display: flex;
	justify-content: center;
}

.ui.container.centered {
	width: 80%;
}

.header--left {
	position: absolute;
	left: 10%;
	width: 150px;
	padding-top: 20px;
}

.header--left image {
	max-width: 100%;
	height: auto;
	width: auto;
	border: 0;
}

.ui.menu {
	display: flex;
	justify-content: center;
}

.ui.secondary.pointing.menu {
	height: 80px;
}

.ui.secondary.pointing.menu > a {
	font-size: large;
}

.ui.floating.dropdown {
	width: 200px;
}

.ui.table:first-child,
.ui.table:last-child {
	margin: 0;
}

.ui.segment {
	z-index: 5 !important;
}

.flex-container {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.form-container {
	display: grid;
	grid-template-columns: 3fr 2fr;
}

.form-container--left {
	display: flex;
	justify-content: space-between;
	align-items: center;
	gap: 10px;
}

.form-container--right {
	display: flex;
	flex-direction: row-reverse;
}

input[type='date'] {
	max-width: 200px;
	padding: 10px;
	border: 1px solid #ccc;
	border-radius: 4px;
	box-sizing: border-box;
	font-family: Arial, sans-serif;
	font-size: 16px;
}

.loading-overlay {
	display: none;
	position: absolute !important;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	width: 100vw;
	height: 100vh;
}

.time-tab {
	display: none;
	margin-bottom: 10px;
}

.scoreboard__wrapper {
	display: none;
	grid-template-columns: 1fr 4fr;
	grid-template-rows: 1fr;
	gap: 20px;
	max-height: 1200px;
	padding-bottom: 20px;
	overflow-y: auto;
}

.table__wrapper {
	display: none;
	max-height: 1200px;
	padding-bottom: 20px;
	overflow: auto;
}

.table__container {
	min-width: 300px;
	max-height: 960px;
}

.table__narrow-column {
	width: 30%;
}

.scoreboard-table .content-cell {
	min-width: 135px;
}

.scoreboard-table tr td:first-child {
	position: -webkit-sticky;
	position: -moz-sticky;
	position: -ms-sticky;
	position: -o-sticky;
	position: sticky;
	left: 0;
	background-color: white;
}

.sticky {
	position: -webkit-sticky;
	position: -moz-sticky;
	position: -ms-sticky;
	position: -o-sticky;
	position: sticky;
	top: 0;
	background-color: white;
}

@media screen and (max-width: 1920px) {
	.table__wrapper,
  .scoreboard__wrapper {
		max-height: 720px;
	}
}

@media screen and (max-width: 768px) {
	.ui.secondary.pointing.menu .item {
		font-size: 16px;
	}
	.ui.secondary.pointing.menu {
		height: 60px;
	}
	.header--left {
		width: 100px;
	}
}

@media screen and (max-width: 640px) {
	.header--left {
		display: none;
	}
	.form-container {
		grid-template-columns: 1fr;
		grid-template-rows: 1fr 1fr;
		gap: 10px;
	}
	.form-container--right,
	.form-container--right button {
		width: 100%;
	}
	.table__wrapper {
		grid-template-columns: 1fr;
		grid-template-rows: 1fr 1fr;
		max-height: none;
	}
}
